# QFQ tables: Filename has to start with 'qfq' and end with '.sql'
#
# Used to save note.
CREATE TABLE IF NOT EXISTS `NoteItem`
(
    `id`           int(11)                NOT NULL AUTO_INCREMENT,
    `pIdCreator`   int(11)                NOT NULL DEFAULT '0',
    `xId`          int(11)                NOT NULL DEFAULT '0',
    `formId`       int(11)                NOT NULL DEFAULT '0',
    `title`        varchar(100)           NOT NULL DEFAULT '',
    `note`         text                            DEFAULT '',
    `access`       enum ('private','all') NOT NULL DEFAULT 'private',
    `isDone`       enum ('yes','no')      NOT NULL DEFAULT 'no',
    `hasToolbar`   enum ('yes','no')      NOT NULL DEFAULT 'no',
    `reminderDate` datetime                        DEFAULT NULL,
    `formName`     varchar(60)            NOT NULL DEFAULT '',
    `modified`     datetime               NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
    `created`      datetime               NOT NULL DEFAULT current_timestamp(),

    PRIMARY KEY (`id`),
    KEY `formIdxIdpIdCreator` (`formId`, `xId`, `pIdCreator`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_unicode_ci;
